Upstream information

CVE-2019-17177 at MITRE

Description

libfreerdp/codec/region.c in FreeRDP through 1.1.x and 2.x through 2.0.0-rc4 has memory leaks because a supplied realloc pointer (i.e., the first argument to realloc) is also used for a realloc return value.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  SUSE
Base Score 5.3
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact Low
CVSSv3 Version 3
SUSE Bugzilla entry: 1153163 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP4
  • freerdp >= 2.0.0~git.1463131968.4e66df7-12.11.1
  • libfreerdp2 >= 2.0.0~git.1463131968.4e66df7-12.11.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-3077
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • freerdp >= 2.0.0~rc4-3.10.1
  • freerdp-server >= 2.0.0~rc4-3.10.1
  • freerdp-wayland >= 2.0.0~rc4-3.10.1
  • libuwac0-0 >= 2.0.0~rc4-3.10.1
  • uwac0-0-devel >= 2.0.0~rc4-3.10.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-3078
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • freerdp >= 2.0.0~rc4-10.4.1
  • freerdp-server >= 2.0.0~rc4-10.4.1
  • freerdp-wayland >= 2.0.0~rc4-10.4.1
  • libuwac0-0 >= 2.0.0~rc4-10.4.1
  • uwac0-0-devel >= 2.0.0~rc4-10.4.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-3079
SUSE Linux Enterprise Software Development Kit 12 SP4
  • freerdp >= 2.0.0~git.1463131968.4e66df7-12.11.1
  • freerdp-devel >= 2.0.0~git.1463131968.4e66df7-12.11.1
  • libfreerdp2 >= 2.0.0~git.1463131968.4e66df7-12.11.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-3077
SUSE Linux Enterprise Software Development Kit 12 SP5
  • freerdp >= 2.0.0~git.1463131968.4e66df7-12.11.1
  • freerdp-devel >= 2.0.0~git.1463131968.4e66df7-12.11.1
  • libfreerdp2 >= 2.0.0~git.1463131968.4e66df7-12.11.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2019-3077
SUSE Linux Enterprise Workstation Extension 12 SP4
  • freerdp >= 2.0.0~git.1463131968.4e66df7-12.11.1
  • libfreerdp2 >= 2.0.0~git.1463131968.4e66df7-12.11.1
Patchnames:
SUSE-SLE-WE-12-SP4-2019-3077
SUSE Linux Enterprise Workstation Extension 12 SP5
  • freerdp >= 2.0.0~git.1463131968.4e66df7-12.11.1
  • libfreerdp2 >= 2.0.0~git.1463131968.4e66df7-12.11.1
Patchnames:
SUSE-SLE-WE-12-SP5-2019-3077
SUSE Linux Enterprise Workstation Extension 15
  • freerdp >= 2.0.0~rc4-3.10.1
  • freerdp-devel >= 2.0.0~rc4-3.10.1
  • libfreerdp2 >= 2.0.0~rc4-3.10.1
  • libwinpr2 >= 2.0.0~rc4-3.10.1
  • winpr2-devel >= 2.0.0~rc4-3.10.1
Patchnames:
SUSE-SLE-Product-WE-15-2019-3078
SUSE Linux Enterprise Workstation Extension 15 SP1
  • freerdp >= 2.0.0~rc4-10.4.1
  • freerdp-devel >= 2.0.0~rc4-10.4.1
  • libfreerdp2 >= 2.0.0~rc4-10.4.1
  • libwinpr2 >= 2.0.0~rc4-10.4.1
  • winpr2-devel >= 2.0.0~rc4-10.4.1
Patchnames:
SUSE-SLE-Product-WE-15-SP1-2019-3079
openSUSE Leap 15.0
  • freerdp >= 2.0.0~rc4-lp150.10.1
  • freerdp-debuginfo >= 2.0.0~rc4-lp150.10.1
  • freerdp-debugsource >= 2.0.0~rc4-lp150.10.1
  • freerdp-devel >= 2.0.0~rc4-lp150.10.1
  • freerdp-server >= 2.0.0~rc4-lp150.10.1
  • freerdp-server-debuginfo >= 2.0.0~rc4-lp150.10.1
  • freerdp-wayland >= 2.0.0~rc4-lp150.10.1
  • freerdp-wayland-debuginfo >= 2.0.0~rc4-lp150.10.1
  • libfreerdp2 >= 2.0.0~rc4-lp150.10.1
  • libfreerdp2-debuginfo >= 2.0.0~rc4-lp150.10.1
  • libuwac0-0 >= 2.0.0~rc4-lp150.10.1
  • libuwac0-0-debuginfo >= 2.0.0~rc4-lp150.10.1
  • libwinpr2 >= 2.0.0~rc4-lp150.10.1
  • libwinpr2-debuginfo >= 2.0.0~rc4-lp150.10.1
  • uwac0-0-devel >= 2.0.0~rc4-lp150.10.1
  • winpr2-devel >= 2.0.0~rc4-lp150.10.1
Patchnames:
openSUSE-2019-2604
openSUSE Leap 15.1
  • freerdp >= 2.0.0~rc4-lp151.5.3.1
  • freerdp-debuginfo >= 2.0.0~rc4-lp151.5.3.1
  • freerdp-debugsource >= 2.0.0~rc4-lp151.5.3.1
  • freerdp-devel >= 2.0.0~rc4-lp151.5.3.1
  • freerdp-server >= 2.0.0~rc4-lp151.5.3.1
  • freerdp-server-debuginfo >= 2.0.0~rc4-lp151.5.3.1
  • freerdp-wayland >= 2.0.0~rc4-lp151.5.3.1
  • freerdp-wayland-debuginfo >= 2.0.0~rc4-lp151.5.3.1
  • libfreerdp2 >= 2.0.0~rc4-lp151.5.3.1
  • libfreerdp2-debuginfo >= 2.0.0~rc4-lp151.5.3.1
  • libuwac0-0 >= 2.0.0~rc4-lp151.5.3.1
  • libuwac0-0-debuginfo >= 2.0.0~rc4-lp151.5.3.1
  • libwinpr2 >= 2.0.0~rc4-lp151.5.3.1
  • libwinpr2-debuginfo >= 2.0.0~rc4-lp151.5.3.1
  • uwac0-0-devel >= 2.0.0~rc4-lp151.5.3.1
  • winpr2-devel >= 2.0.0~rc4-lp151.5.3.1
Patchnames:
openSUSE-2019-2608


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP4 freerdp Released
SUSE Linux Enterprise SDK 12 SP4 freerdp Released
SUSE Linux Enterprise SDK 12 SP5 freerdp Released
SUSE Linux Enterprise Workstation Extension 12 SP4 freerdp Released
SUSE Linux Enterprise Workstation Extension 12 SP5 freerdp Released
SUSE Linux Enterprise Workstation Extension 15 GA freerdp Released
SUSE Linux Enterprise Workstation Extension 15 SP1 freerdp Released